Package org.apache.sling.feature.extension.apiregions.api.config

# Class ConfigurationDescription

java.lang.Object
org.apache.sling.feature.extension.apiregions.api.config.AttributeableEntity
org.apache.sling.feature.extension.apiregions.api.config.DescribableEntity
org.apache.sling.feature.extension.apiregions.api.config.ConfigurableEntity
org.apache.sling.feature.extension.apiregions.api.config.ConfigurationDescription

public class ConfigurationDescription extends ConfigurableEntity
A description of an OSGi configuration This class is not thread safe.

## Constructor Summary

Constructors
Constructor
Description
`ConfigurationDescription()`

## Method Summary

### Methods inherited from class org.apache.sling.feature.extension.apiregions.api.config.ConfigurableEntity

`clear, createJson, fromJSONObject, getInternalPropertyNames, getMode, getPropertyDescriptions, getRegion, isAllowAdditionalProperties, setAllowAdditionalProperties, setDefaults, setMode, setRegion`

### Methods inherited from class org.apache.sling.feature.extension.apiregions.api.config.DescribableEntity

`getDeprecated, getDescription, getEnforceOn, getSince, getTitle, setDeprecated, setDescription, setEnforceOn, setSince, setTitle`

### Methods inherited from class org.apache.sling.feature.extension.apiregions.api.config.AttributeableEntity

`getAttributes, getBoolean, getInteger, getNumber, getString, getString, getStringArray, setString, setStringArray, toJSONObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigurationDescription

public ConfigurationDescription()